Update Operations Alert Configuration Template

Edit Template

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Specify the tenant ID. This is a unique ID and can be retrieved using the List Tenants API.

Query Params
string
required

Specify the monitoring_template_uri of the template which the name to be edited

Body Params
configuration_data
object
required

Refer the View configuration response for data formation For AWS ex: { "Compute": { "EC2": { "Instances": [{ "threshold_settings": { "EvaluationPeriods": 2, "Dimensions": [], "AlarmActions": [], "AlarmDescription": "", "Namespace": "", "Period": 5, "ComparisonOperator": "GreaterThanOrEqualToThreshold", "Statistic": "Average", "Threshold": 75, "OKActions": [] }, "service_resource_metric_uri": "AWS/Compute/EC2/Instances/CPUUtilization", "status": "enabled/disabled", "metric_name": "CPUUtilization" }] } } For Azure ex: { "Compute": { "Virtual_Machines": { "Virtual_Machines": [{ "threshold_settings": { "threshold" : 95, "operator" : "GreaterThan", "window_size" : "PT15M", "aggregation" : "Total" }, "service_resource_metric_uri": "Azure/Compute/Virtual_Machines/Virtual_Machines/Percentage CPU", "status": "enabled/disabled", "metric_name": "Percentage CPU" }] } } } For GCP ex: { "Compute": { "Compute_Engine": { "VM_Instances": [{ "threshold_settings": { "Comparison" : "COMPARISON_GT", "Aggregator" : "REDUCE_MEAN", "Period" : 5, "Aligner" : "ALIGN_MEAN", "Threshold" : 90, "Duration" : 1 }, "service_resource_metric_uri": "GCP/Compute/Compute_Engine/VM_Instances/compute.googleapis.com/instance/cpu/utilization", "status": "enabled/disabled", "metric_name": "compute.googleapis.com/instance/cpu/utilization" }] } } }

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json